# Updating an existing Post

This endpoint returns structured Post objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the `results` array
and will be indexed by ID in the `posts` top-level JSON key.
Please see our [Response Format](#section/Response-Format) section for more information.

Endpoint: PUT /posts/{id}
Version: 1.0.0

## Path parameters:

  - `id` (integer, required)
    The ID of the Model.

## Query parameters:

  - `include` (string)
    Any of the below associations can be included in your request by providing the `include` param, e.g. `include=association1,association2`.
- `attachments` (Attachments::PostAttachment) - Any attachments associated to the post.
- `external_references` (ExternalReference) - Includes references to external integrations for this object.
- `google_documents` (GoogleDocument) - The post's Google document objects, available in `google_document_ids`; returned in the `google_documents` top-level key.
- `newest_reply` (Post) - The most recent reply to the post.
- `newest_reply_user` (User) - The user who made the most recent reply to the post.
- `recipients` (User) - On private posts, the `recipient_ids` array contains the IDs of recipients, returned in the `users` top-level key.
- `replies` (Post) - Replies made to this post, returned in the `posts` top-level key. Posts will contain a `reply_ids` array.
- `story` (Story) - The task (if any) to which the post is linked.
- `subject` (polymorphic) - When you include this association, posts that are replies will have a `subject_id` key. This references
their parent post in the `posts` top-level key.
- `user` (User) - The user who created the post.
- `workspace` (Workspace) - The project to which this post belongs.

## Request fields (application/json):

  - `post` (object)

  - `post.message` (string)
    The message content of the post.

  - `post.story_id` (integer)
    The ID of the task that is linked to the post.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 401 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 403 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 404 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 422 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 503 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

